Modify stored information about a CNI object
PUT/accounts/{account_id}/cni/cnis/{cni}
Modify stored information about a CNI object
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Body ParametersJSON
Modify stored information about a CNI object
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cni/cnis/$CNI \
-X PUT \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"account": "account",
"cust_ip": "192.168.3.4/31",
"interconnect": "interconnect",
"magic": {
"conduit_name": "conduit_name",
"description": "description",
"mtu": 0
},
"p2p_ip": "192.168.3.4/31"
}'{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"account": "account",
"cust_ip": "192.168.3.4/31",
"interconnect": "interconnect",
"magic": {
"conduit_name": "conduit_name",
"description": "description",
"mtu": 0
},
"p2p_ip": "192.168.3.4/31",
"bgp": {
"customer_asn": 0,
"extra_prefixes": [
"string"
],
"md5_key": "md5_key"
}
}Returns Examples
{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"account": "account",
"cust_ip": "192.168.3.4/31",
"interconnect": "interconnect",
"magic": {
"conduit_name": "conduit_name",
"description": "description",
"mtu": 0
},
"p2p_ip": "192.168.3.4/31",
"bgp": {
"customer_asn": 0,
"extra_prefixes": [
"string"
],
"md5_key": "md5_key"
}
}